using System;
using MesServerWork;
//using SystemFramework;


namespace MesServerFunctions
{
    partial class FunctionMES
    {

        /// <summary>
        /// 返修放行
        /// </summary>
        /// <param name="OpName"></param>
        /// <param name="tagValue"></param>
        private void FalseGO(object e)
        {
            try
            {
                DoWhatPlc.CustomeEvetnArgs msgEvent = (DoWhatPlc.CustomeEvetnArgs)e;
                string OpName = Convert.ToString(msgEvent.OpName);
                int tagValue = Convert.ToInt32(msgEvent.TagValue);

                if (tagValue == 1)
                {
                    MIS_BASE.Write_MaterialVerifyOver(OpName, true);//工作完成
                    SendMessageFun.SendInfomation("OrderFormList", "1", OpName);

                }
            }
            catch (Exception err)
            {
                ////ApplicationLog.WriteLog(err, "Function08:FalseGO");
            }
        }
    }
}
